Subject: Re: [PATCH 1/5] pinctrl: actions: Use the correct style for SPDX License Identifier

From: Nishad Kamdar <[email-masked]>
Date: Thu, 5 Dec 2019 20:18:48 +0530

On Wed, Nov 27, 2019 at 10:02:08PM +0100, Andreas Färber wrote:
> Am 27.11.19 um 17:40 schrieb Nishad Kamdar:
> > This patch corrects the SPDX License Identifier style in
> > header file related Actions Semi OWL pinctrl driver.
> 
> Owl
> 
I used the same format mentioned below, which also says OWL.
Meybe we can change both of them in a separate patch.

> > For C header files Documentation/process/license-rules.rst
> > mandates C-like comments (opposed to C source files where
> > C++ style should be used).
> > 
> > Changes made by using a script provided by Joe Perches here:
> > https://lkml.org/lkml/2019/2/7/46.
> > 
> > Suggested-by: Joe Perches <[email-masked]>
> > Signed-off-by: Nishad Kamdar <[email-masked]>
> > ---
> >  drivers/pinctrl/actions/pinctrl-owl.h | 2 +-
> >  1 file changed, 1 insertion(+), 1 deletion(-)
> > 
> > diff --git a/drivers/pinctrl/actions/pinctrl-owl.h b/drivers/pinctrl/actions/pinctrl-owl.h
> > index dae2e8363fd5..feee7ad7e27e 100644
> > --- a/drivers/pinctrl/actions/pinctrl-owl.h
> > +++ b/drivers/pinctrl/actions/pinctrl-owl.h
> > @@ -1,4 +1,4 @@
> > -// SPDX-License-Identifier: GPL-2.0+
> > +/* SPDX-License-Identifier: GPL-2.0+ */
> 
> This is not a uapi or asm header, which that /* */ rule was later added
> for, I thought?
>

I might be wrong but I think it applies to this file too as there as there is a SPDX
identifier in the first place.
> >  /*
> >   * OWL SoC's Pinctrl definitions
> >   *
> 
> Not objecting, just making sure we're not blindly refactoring code.
> 

I am not sure what you are trying to say here, but the SPDX identifier
requires an independent block comment. Hence placed the obove code in a
separate block comment. Everything else is as it is.

> If doing this, I suggest updating to GPL-2.0-or-later.
> 

We can do this in a separate patch as this patch only talks about
the style.

> Regards,
> Andreas
> 
> -- 
> SUSE Software Solutions Germany GmbH
> Maxfeldstr. 5, 90409 Nürnberg, Germany
> GF: Felix Imendörffer
> HRB 36809 (AG Nürnberg)

Thanks very much for your time and review.

Regards,
Nishad

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel